Commit 7478a05a authored by Richard Mansfield's avatar Richard Mansfield
Browse files

Restore nagging message for people trying to upgrade non-utf8 dbs


Signed-off-by: default avatarRichard Mansfield <richardm@catalyst.net.nz>
parent 661a87bd
...@@ -41,6 +41,10 @@ if (!empty($upgrades['core']->install)) { ...@@ -41,6 +41,10 @@ if (!empty($upgrades['core']->install)) {
} }
else { else {
define('TITLE', get_string('upgrades', 'admin')); define('TITLE', get_string('upgrades', 'admin'));
if (!db_is_utf8()) {
global $SESSION;
$SESSION->add_error_msg(get_string('dbnotutf8warning', 'admin'));
}
$smarty->assign('upgradeheading', get_string('performingupgrades', 'admin')); $smarty->assign('upgradeheading', get_string('performingupgrades', 'admin'));
} }
......
...@@ -60,6 +60,7 @@ $string['noupgrades'] = 'Nothing to upgrade! You are fully up to date!'; ...@@ -60,6 +60,7 @@ $string['noupgrades'] = 'Nothing to upgrade! You are fully up to date!';
$string['youcanupgrade'] = 'You can upgrade Mahara from %s (%s) to %s (%s)!'; $string['youcanupgrade'] = 'You can upgrade Mahara from %s (%s) to %s (%s)!';
$string['Plugin'] = 'Plugin'; $string['Plugin'] = 'Plugin';
$string['jsrequiredforupgrade'] = 'You must enable javascript to perform an install or upgrade.'; $string['jsrequiredforupgrade'] = 'You must enable javascript to perform an install or upgrade.';
$string['dbnotutf8warning'] = 'You are not using a UTF-8 database. Mahara stores all data as UTF-8 internally. You may still attempt this upgrade but it is recommended that you convert your database to UTF-8.';
// Admin navigation menu // Admin navigation menu
$string['adminhome'] = 'Admin home'; $string['adminhome'] = 'Admin home';
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment